from ase.io import read, write
from pathlib import Path

ext = ["vasp", "xyz"]

fnames = list(Path("./").rglob("*.traj"))
for fname in fnames:
    dirname = fname.parent
    stem = fname.stem
    atoms = read(fname)
    print(fname, dirname, stem)
    for e in ext:
        savename = dirname / f"{stem}.{e}"
        write(savename, atoms)
        print("    ", savename)
